Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063981 - Missing opening square brace in mysqld.service
Summary: Missing opening square brace in mysqld.service
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 17:46 UTC by Sam Kottler
Modified: 2014-06-18 08:14 UTC (History)
3 users (show)

Fixed In Version: mariadb-5.5.35-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-12 08:27:36 UTC


Attachments (Terms of Use)

Description Sam Kottler 2014-02-11 17:46:58 UTC
Unit]
Description=MySQL compatibility service (another name for mariadb.service; you should use mariadb.service instead)
BindsTo=mariadb.service

[Service]
Type=oneshot
ExecStart=/bin/true
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target
Also=mariadb.service

should be:

[Unit]
Description=MySQL compatibility service (another name for mariadb.service; you should use mariadb.service instead)
BindsTo=mariadb.service

[Service]
Type=oneshot
ExecStart=/bin/true
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target
Also=mariadb.service

This causes the service to start with what appears to be success, but the actual daemon doesn't get started because it skips the [Unit] section, which has the binds for mariadb.service.

Comment 1 Honza Horak 2014-02-11 18:08:13 UTC
Thanks for reporting, the new build is building.


Note You need to log in before you can comment on or make changes to this bug.